curl --request PUT \
--url https://dev.flextell.ai/api/v1/conversations/{id}/messages/{messageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'{
"success": "<string>",
"data": {
"id": 123,
"conversation_id": 123,
"user_id": 123,
"user_name": "<string>",
"is_customer": true,
"message_type": "text",
"message": "<string>",
"quoted_text": "<string>",
"is_deleted": true,
"is_edited": true,
"edited_by_user_name": "<string>",
"deleted_by_user_name": "<string>",
"read_at": "2023-11-07T05:31:56Z",
"metadata": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": {
"id": 123,
"name": "<string>",
"description": "<string>",
"type": "<string>",
"mime_type": "<string>",
"size": 123,
"formatted_size": "<string>",
"group_id": "<string>",
"fileable_type": "<string>",
"fileable_id": 123,
"temporary_url": "<string>",
"temporary_thumbnail_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"file_temporary_url": "<string>"
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
The conversation identifier
The message identifier
5000curl --request PUT \
--url https://dev.flextell.ai/api/v1/conversations/{id}/messages/{messageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'{
"success": "<string>",
"data": {
"id": 123,
"conversation_id": 123,
"user_id": 123,
"user_name": "<string>",
"is_customer": true,
"message_type": "text",
"message": "<string>",
"quoted_text": "<string>",
"is_deleted": true,
"is_edited": true,
"edited_by_user_name": "<string>",
"deleted_by_user_name": "<string>",
"read_at": "2023-11-07T05:31:56Z",
"metadata": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": {
"id": 123,
"name": "<string>",
"description": "<string>",
"type": "<string>",
"mime_type": "<string>",
"size": 123,
"formatted_size": "<string>",
"group_id": "<string>",
"fileable_type": "<string>",
"fileable_id": 123,
"temporary_url": "<string>",
"temporary_thumbnail_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"file_temporary_url": "<string>"
}
}